## flask-talisman 1.1.0

=== example_app/requirements.txt ===
Flask
gunicorn
flask-seasurf
six>=1.9.0
flask-talisman

## flask-talisman 1.0.0

=== debian/changelog ===
flask-talisman (1.0.0-3) unstable; urgency=medium

  * debian/upstream/metadata: fix github URLs.

 -- Edward Betts <edward@4angle.com>  Tue, 19 Jul 2022 14:59:39 +0100

flask-talisman (1.0.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 13 Jul 2022 07:08:45 +0100

flask-talisman (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1013914)

 -- Edward Betts <edward@4angle.com>  Mon, 27 Jun 2022 11:37:04 +0100

=== debian/control ===
Source: flask-talisman
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-flask,
               python3-pytest,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/wntrblm/flask-talisman
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-talisman
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-talisman.git

Package: python3-flask-talisman
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: HTTP security headers for Flask
 Talisman is a small Flask extension that handles setting HTTP headers that can
 help protect against a few common web application security issues.
 .
 The default configuration:
 .
  * Forces all connects to https, unless running with debug enabled.
  * Enables HTTP Strict Transport Security.
  * Sets Flask's session cookie to secure, so it will never be set if your
    application is somehow accessed via a non-secure connection.
  * Sets Flask's session cookie to httponly, preventing JavaScript from being
    able to access its content. CSRF via Ajax uses a separate cookie and should
    be unaffected.
  * Sets X-Frame-Options to SAMEORIGIN to avoid clickjacking.
  * Sets X-XSS-Protection to enable a cross site scripting filter for IE and
    Safari (note Chrome has removed this and Firefox never supported it).
  * Sets X-Content-Type-Options to prevent content type sniffing.
  * Sets a strict Content Security Policy of default-src: 'self'. This is
    intended to almost completely prevent Cross Site Scripting (XSS) attacks.
    This is probably the only setting that you should reasonably change. See
    the Content Security Policy section.
  * Sets a strict Referrer-Policy of strict-origin-when-cross-origin that
    governs which referrer information should be included with requests made.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-talisman
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf flask_talisman.egg-info/

## flask-talisman 1.1.0

=== debian/changelog ===
flask-talisman (1.1.0-2) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Thu, 03 Aug 2023 15:05:26 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-pytest,
                python3-setuptools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/wntrblm/flask-talisman
 Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-talisman
 Vcs-Git: https://salsa.debian.org/python-team/packages/flask-talisman.git

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-flask,
         python3-pytest,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/flask-talisman-$1\.tar\.gz/ \
  https://github.com/wntrblm/flask-talisman/tags .*/v?(\d\S+)\.tar\.gz
